# H245_ConferenceIndication Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_sbeNumber, e_terminalNumberAssign, e_terminalJoinedConference, e_terminalLeftConference, e_seenByAtLeastOneOther, e_cancelSeenByAtLeastOneOther, e_seenByAll, e_cancelSeenByAll, e_terminalYouAreSeeing, e_requestForFloor, e_withdrawChairToken, e_floorRequested, e_terminalYouAreSeeingInSubPictureNumber, e_videoIndicateCompose }

## Public Member Functions

| H245_ConferenceIndication (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_TerminalLabel & ()
| operator const H245_TerminalLabel & () const
| operator H245_TerminalYouAreSeeingInSubPictureNumber & ()
| operator const H245_TerminalYouAreSeeingInSubPictureNumber & () const
| operator H245_VideoIndicateCompose & ()
| operator const H245_VideoIndicateCompose & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_ConferenceIndication::Choices

Enumerator:

  e_sbeNumber |
  e_terminalNumberAssign |
  e_terminalJoinedConference |
  e_terminalLeftConference |
  e_seenByAtLeastOneOther |
  e_cancelSeenByAtLeastOneOther |
  e_seenByAll |
  e_cancelSeenByAll |
  e_terminalYouAreSeeing |
  e_requestForFloor |
  e_withdrawChairToken |
  e_floorRequested |
  e_terminalYouAreSeeingInSubPictureNumber |
  e_videoIndicateCompose |

## Constructor & Destructor Documentation

H245_ConferenceIndication::H245_ConferenceIndication | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_ConferenceIndication::operator H245_TerminalLabel & | ( |  | ) |

H245_ConferenceIndication::operator const H245_TerminalLabel & | ( |  | ) | const

H245_ConferenceIndication::operator H245_TerminalYouAreSeeingInSubPictureNumber & | ( |  | ) |

H245_ConferenceIndication::operator const H245_TerminalYouAreSeeingInSubPictureNumber & | ( |  | ) | const

H245_ConferenceIndication::operator H245_VideoIndicateCompose & | ( |  | ) |

H245_ConferenceIndication::operator const H245_VideoIndicateCompose & | ( |  | ) | const

PBoolean H245_ConferenceIndication::CreateObject | ( |  | ) |

PObject* H245_ConferenceIndication::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h